Bug 1760916 - Samsung C460: scan over Ethernet fails with message 'Not a JPEG file: starts with 0x00 0x00'
Summary: Samsung C460: scan over Ethernet fails with message 'Not a JPEG file: starts ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sane-backends
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-11 17:46 UTC by cfaszholz
Modified: 2019-10-19 17:41 UTC (History)
4 users (show)

Fixed In Version: sane-backends-1.0.28-4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-19 17:41:50 UTC


Attachments (Terms of Use)
SANE_DEBUG output (11.91 KB, text/plain)
2019-10-11 17:46 UTC, cfaszholz
no flags Details
Patch (494 bytes, patch)
2019-10-15 10:36 UTC, Zdenek Dohnal
no flags Details | Diff

Description cfaszholz 2019-10-11 17:46:23 UTC
Created attachment 1624817 [details]
SANE_DEBUG output

Description of problem:  

Since upgrade to 'sane-backends-1.0.28-1.fc30.x86_64', scanning from an Ethernet-connected device (Samsung C460-series using 'xerox_mfp' driver) fails with error message 'Not a JPEG file: starts with 0x00 0x00'.  

Have tested with several front-ends (scanimage, simple-scan, gscan2pdf), and with firewalld disabled.  The device appears to be correctly detected via Ethernet, and scanning with a USB connection functions correctly.  

This issue did not occur with 'sane-backends-1.0.27-24.fc30.x86_64'.

Version-Release number of selected component (if applicable):
sane-backends-1.0.28-1.fc30.x86_64

Output of the following is attached:
'SANE_DEBUG_XEROX_MFP=255 SANE_DEBUG_DLL=255 scanimage -d 'xerox_mfp:tcp 192.168.1.210' -x 600 -y 600 --format=png >./Documents/sane_debug_image.png 2>sane_debug.out'

Comment 1 Zdenek Dohnal 2019-10-14 12:34:58 UTC
Hi,

thank you for reporting the issue!

There was downstream patch reverting commit adding JPEG feature for samsung devices, because it broke several older scanners. Upstream now went the way disabling the feature only on specific scanners which are known to do not work with it.

I created the patch based on it, would you mind trying the following build https://koji.fedoraproject.org/koji/taskinfo?taskID=38290503 ?

Comment 2 Zdenek Dohnal 2019-10-14 13:02:58 UTC
D'oh, the build failed, wait a minute...

Comment 3 Zdenek Dohnal 2019-10-14 13:16:03 UTC
x86_64 build is ok, so it is possible for you to test.

Comment 4 cfaszholz 2019-10-14 22:23:59 UTC
Zdenek,
The patched x86_64 build solves my issue - network scan on Samsung C460 is successful. Not sure if I should mark CLOSED or leave that to you. Many thanks!

Comment 5 Zdenek Dohnal 2019-10-15 10:36:01 UTC
The patch will need to be added into stable release, so it needs to be opened till that.

Comment 6 Zdenek Dohnal 2019-10-15 10:36:46 UTC
Created attachment 1625940 [details]
Patch

Comment 7 Zdenek Dohnal 2019-10-15 11:00:35 UTC
Reported upstream https://gitlab.com/sane-project/backends/merge_requests/218

Comment 8 Fedora Update System 2019-10-17 12:56:23 UTC
FEDORA-2019-4c80d8cf5f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4c80d8cf5f

Comment 9 Fedora Update System 2019-10-17 23:42:21 UTC
sane-backends-1.0.28-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4c80d8cf5f

Comment 10 Fedora Update System 2019-10-18 08:52:16 UTC
FEDORA-2019-4e0ac1c8bb has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4e0ac1c8bb

Comment 11 Fedora Update System 2019-10-18 21:00:17 UTC
sane-backends-1.0.28-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4e0ac1c8bb

Comment 12 Fedora Update System 2019-10-19 17:41:50 UTC
sane-backends-1.0.28-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.